#include <bits/stdc++.h>

using namespace std;
ifstream f1("bai2_14.inp");
ofstream f2("bai2_14.out");
int f[60000];
int main()
{
    int n,i=1,j;
    f1>>n;
    while (i<=n)
    {
        for (j=1;j<=n/i;j++)
        {f[i*j]++;}
        i++;
    }
    for (i=n;i>=6;i--)
    {
        if (f[i]==4)
        {
            f2<<i; break;
        }
    }
    return 0;
}
